## rsem 1.3.0+dfsg

=== debian/changelog ===
rsem (1.3.0+dfsg-2) unstable; urgency=medium

  [ Katerina Kalou ]
  * Team upload.
  * Add autopkgtest
    Closes: #890782

  [ Andreas Tille ]
  * Upload to unstable
    Closes: #847569
  * Remove unused lintian-override
  * Drop unused License specification
  * Point Vcs-fields to Salsa
  * Standards-Version: 4.1.4

 -- Katerina Kalou <aik.kalou@gmail.com>  Fri, 25 May 2018 13:56:22 +0200

rsem (1.3.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * d/watch:
     - version=4
     - xz compression
  * remove code copy of samtools-1.3
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2018 20:34:37 +0100
