## rsem 1.3.1+dfsg

=== debian/changelog ===
rsem (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Fix Perl interpreter path
  * Remove unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 21:41:44 +0200
