=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # bowtie is a run-time dependency available on only a few systems, not actually
 # needed for building but it prevents the creation of uninstallable packages
                bowtie | bowtie2
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/rsem
 Vcs-Git: https://salsa.debian.org/med-team/rsem.git
 Homepage: http://deweylab.biostat.wisc.edu/rsem/
