## rsem 1.3.2+dfsg

=== debian/changelog ===
rsem (1.3.2+dfsg-2) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #938415
  * debhelper-compat 12

 -- Andreas Tille <tille@debian.org>  Thu, 12 Sep 2019 11:39:48 +0200

rsem (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 21:52:15 +0200
