=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                zlib1g-dev,
                libncurses5-dev,
                libboost-dev,
                perl,
-               python,
+               python3,
                help2man,
                libhts-dev,
 # bowtie is a run-time dependency available on only a few systems, not actually
 # needed for building but it prevents the creation of uninstallable packages
                bowtie | bowtie2
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/rsem
 Vcs-Git: https://salsa.debian.org/med-team/rsem.git
 Homepage: http://deweylab.biostat.wisc.edu/rsem/
@@ -27,7 +27,7 @@
          ${perl:Depends},
          r-base-core,
          bowtie | bowtie2,
-         python
+         python3
 Suggests: r-bioc-ebseq
 Description: RNA-Seq by Expectation-Maximization
  RSEM is a software package for estimating gene and isoform expression
