## rsem 1.3.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,18 @@
                zlib1g-dev,
                libncurses5-dev,
                libboost-dev,
-               perl,
-               python3,
+               perl <!nocheck>,
+               python3:any,
                help2man,
                libhts-dev,
+               hisat2 <!nocheck>,
 # bowtie is a run-time dependency available on only a few systems, not actually
 # needed for building but it prevents the creation of uninstallable packages
                bowtie | bowtie2
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/rsem
 Vcs-Git: https://salsa.debian.org/med-team/rsem.git
-Homepage: http://deweylab.biostat.wisc.edu/rsem/
+Homepage: http://deweylab.github.io/RSEM/
 
 Package: rsem
 Architecture: any
@@ -28,7 +29,7 @@
          r-base-core,
          bowtie | bowtie2,
          python3
-Suggests: r-bioc-ebseq
+Suggests: r-bioc-ebseq, hisat2
 Description: RNA-Seq by Expectation-Maximization
  RSEM is a software package for estimating gene and isoform expression
  levels from RNA-Seq data. The RSEM package provides an user-friendly
