=== debian/changelog ===
rsem (1.3.3+dfsg-3build1) noble; urgency=medium

  * No-change rebuild against libhts3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 19:53:55 +0100

rsem (1.3.3+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix salca-ci since i386 is explicitly excluded by Build-Depends: bowtie2

  [ Étienne Mollier ]
  * stdgnu++11.patch: new: fix ftbfs with boost1.83.
    boost1.83 looks to require building with gnu++11, but upstream
    codebase is still at gnu++98 for now, hence the nature of the patch.
    (Closes: #1056010)
  * d/control: declare compliance to standards version 4.6.2.
  * d/control: build depend on libncurses-dev.
    This replaces the obsolete libncurses5-dev.

 -- Étienne Mollier <emollier@debian.org>  Mon, 18 Dec 2023 13:58:36 +0100

rsem (1.3.3+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 08:01:13 +0200

rsem (1.3.3+dfsg-1) unstable; urgency=medium

  * Update homepage
  * New upstream version, added hisat2 mode
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Feb 2020 15:49:34 +0100
