=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: rsem
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>,
+Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libboost-dev,
                perl <!nocheck>,
                python3:any,
@@ -16,10 +16,11 @@
 # bowtie is a run-time dependency available on only a few systems, not actually
 # needed for building but it prevents the creation of uninstallable packages
                bowtie | bowtie2
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/rsem
 Vcs-Git: https://salsa.debian.org/med-team/rsem.git
-Homepage: http://deweylab.github.io/RSEM/
+Homepage: https://deweylab.github.io/RSEM/
+Rules-Requires-Root: no
 
 Package: rsem
 Architecture: any
