=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/bli25wisc/rsem/tags (?:.*?/)?v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
